#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BMP085_U.h>

Adafruit_BMP085_Unified bmp = Adafruit_BMP085_Unified(10085);

void setup() {
  Serial.begin(9600);
  if (!bmp.begin()) {
    Serial.println("Could not find a valid BMP085 sensor, check wiring!");
    while (1);
  }
}

void loop() {
  sensors_event_t event;
  bmp.getEvent(&event);

  if (event.pressure) {
    float altitude = bmp.pressureToAltitude(1013.25, event.pressure, 0);
    Serial.print("Altitude: ");
    Serial.print(altitude);
    Serial.println(" meters");
  }
  delay(1000);
}


















